module SkirentalPayment
    class Payment
        include NoBrainer::Document
        include NoBrainer::Document::Timestamps

        belongs_to :booking, class_name:SkirentalFrontendApi::Booking, :index => true

        field :payment_reference,   :type => String,                     :index => true # Referenz-Id des Payment Providers
        field :is_payed,            :type => Boolean, :default => false, :index => true
        field :is_reserved,         :type => Boolean, :default => false, :index => true
        field :transaction,         :type => Hash,    :default => {}
        field :voucher_code,        :type => String # Als Audruck für Kunden (Barcode, ...)
        field :provider_name,		:type => String # Name of Provider used for payment
        field :provider_discount,   :type => Float, :default => 0.0 # Zahlungsartspezifischer Rabatt des Geschäfts 
    end
end
